/*--------------------------------------|
|File:		 main.h						|
|Date:   	 August 2011				|
|Author:	 J. Moertl					|
|Description:Main header file, includes |
|			 all headerfiles and defs   |
|--------------------------------------*/
#ifndef _MAIN_H
#define _MAIN_H

//#define XPIXEL 102
//#define YPIXEL 64
#define XPIXEL 160
#define YPIXEL 104
/*Beim Anpassen der Pixel ist zu bneachten, dass der RAM nicht überläuft. Für das DOGXL reicht der Mega16 nicht
*/

#define XMAX XPIXEL-1
#define YMAX YPIXEL-1


#define DRESET PINB0
#define DCS PINB2
#define DCD PINB3  //PINB1 bei Mega16
#define SPI_DO  PINB1
#define SPI_CLK PINB0

#include <util/delay.h>
#include <stdint.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>




#include "spi.h"
#include "lcd.h"

#include "font_6x8.h"
#include "font_8x16.h"
#include "symbols.h"

#include "RS232.h"



#endif

//----------------- EOF main.h ------------
